org.eclipse.rdf4j.rio.rdfxml

## Class RDFXMLWriter

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter
  - - org.eclipse.rdf4j.rio.rdfxml.RDFXMLWriter

- All Implemented Interfaces:
    RDFHandler, RDFWriter
  Direct Known Subclasses:
    RDFXMLPrettyWriter

      public class RDFXMLWriter
      extends AbstractRDFWriter
      implements RDFWriter

  An implementation of the RDFWriter interface that writes RDF documents in XML-serialized RDF format.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ParsedIRI` | `baseIRI`
    `protected String` | `defaultNamespace`
    `protected boolean` | `headerWritten`
    `protected Resource` | `lastWrittenSubject`
    `protected Writer` | `writer`
    `protected boolean` | `writingStarted`

    - ### Fields inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter

      `namespaceTable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RDFXMLWriter(OutputStream out)` Creates a new RDFXMLWriter that will write to the supplied OutputStream.
    `RDFXMLWriter(OutputStream out, ParsedIRI baseIRI)` Creates a new RDFXMLWriter that will write to the supplied OutputStream.
    `RDFXMLWriter(Writer writer)` Creates a new RDFXMLWriter that will write to the supplied Writer.
    `RDFXMLWriter(Writer writer, ParsedIRI baseIRI)` Creates a new RDFXMLWriter that will write to the supplied Writer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endRDF()` Signals the end of the RDF data.
    `protected void` | `flushPendingStatements()`
    `RDFFormat` | `getRDFFormat()` Gets the RDF format that this RDFWriter uses.
    `protected String` | `getValidNodeId(BNode bNode)` Create a syntactically valid node id from the supplied blank node id.
    `void` | `handleComment(String comment)` Handles a comment.
    `void` | `handleNamespace(String prefix, String name)` Handles a namespace declaration/definition.
    `void` | `handleStatement(Statement st)` Handles a statement.
    `protected void` | `setNamespace(String prefix, String name)`
    `void` | `startRDF()` Signals the start of the RDF data.
    `protected void` | `writeAttribute(String attName, String value)`
    `protected void` | `writeAttribute(String namespace, String attName, String value)`
    `protected void` | `writeCharacterData(String chars)`
    `protected void` | `writeEndOfEmptyTag()`
    `protected void` | `writeEndOfStartTag()`
    `protected void` | `writeEndTag(String namespace, String localName)`
    `protected void` | `writeHeader()`
    `protected void` | `writeIndent()`
    `protected void` | `writeNewLine()`
    `protected void` | `writeStartOfStartTag(String namespace, String localName)`

    - ### Methods inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFWriter

      `getSupportedSettings, getWriterConfig, set, setWriterConfig`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.rio.RDFWriter

      `getSupportedSettings, getWriterConfig, set, setWriterConfig`

- - ### Field Detail

    - #### baseIRI

          protected ParsedIRI baseIRI

    - #### writer

          protected Writer writer

    - #### defaultNamespace

          protected String defaultNamespace

    - #### writingStarted

          protected boolean writingStarted

    - #### headerWritten

          protected boolean headerWritten

    - #### lastWrittenSubject

          protected Resource lastWrittenSubject

  - ### Constructor Detail

    - #### RDFXMLWriter

          public RDFXMLWriter(OutputStream out)

      Creates a new RDFXMLWriter that will write to the supplied OutputStream.
      Parameters:
        `out` - The OutputStream to write the RDF/XML document to.

    - #### RDFXMLWriter

          public RDFXMLWriter(OutputStream out,
                              ParsedIRI baseIRI)

      Creates a new RDFXMLWriter that will write to the supplied OutputStream.
      Parameters:
        `out` - The OutputStream to write the RDF/XML document to.

    - #### RDFXMLWriter

          public RDFXMLWriter(Writer writer)

      Creates a new RDFXMLWriter that will write to the supplied Writer.
      Parameters:
        `writer` - The Writer to write the RDF/XML document to.

    - #### RDFXMLWriter

          public RDFXMLWriter(Writer writer,
                              ParsedIRI baseIRI)

      Creates a new RDFXMLWriter that will write to the supplied Writer.
      Parameters:
        `writer` - The Writer to write the RDF/XML document to.

  - ### Method Detail

    - #### getRDFFormat

          public RDFFormat getRDFFormat()

      Description copied from interface: `RDFWriter`
      Gets the RDF format that this RDFWriter uses.
      Specified by:
        `getRDFFormat` in interface `RDFWriter`

    - #### startRDF

          public void startRDF()
                        throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Signals the start of the RDF data. This method is called before any data is reported.
      Specified by:
        `startRDF` in interface `RDFHandler`
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### writeHeader

          protected void writeHeader()
                              throws IOException

      Throws:
        `IOException`

    - #### endRDF

          public void endRDF()
                      throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Signals the end of the RDF data. This method is called when all data has been reported.
      Specified by:
        `endRDF` in interface `RDFHandler`
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### handleNamespace

          public void handleNamespace(String prefix,
                                      String name)

      Description copied from interface: `RDFHandler`
      Handles a namespace declaration/definition. A namespace declaration associates a (short) prefix string with the namespace's URI. The prefix for default namespaces, which do not have an associated prefix, are represented as empty strings.
      Specified by:
        `handleNamespace` in interface `RDFHandler`
      Overrides:
        `handleNamespace` in class `AbstractRDFWriter`
      Parameters:
        `prefix` - The prefix for the namespace, or an empty string in case of a default namespace.
        `name` - The URI that the prefix maps to.

    - #### setNamespace

          protected void setNamespace(String prefix,
                                      String name)

    - #### handleStatement

          public void handleStatement(Statement st)
                               throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Handles a statement.
      Specified by:
        `handleStatement` in interface `RDFHandler`
      Parameters:
        `st` - The statement.
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### handleComment

          public void handleComment(String comment)
                             throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Handles a comment.
      Specified by:
        `handleComment` in interface `RDFHandler`
      Parameters:
        `comment` - The comment.
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### flushPendingStatements

          protected void flushPendingStatements()
                                         throws IOException,
                                                RDFHandlerException

      Throws:
        `IOException`
        `RDFHandlerException`

    - #### writeStartOfStartTag

          protected void writeStartOfStartTag(String namespace,
                                              String localName)
                                       throws IOException

      Throws:
        `IOException`

    - #### writeAttribute

          protected void writeAttribute(String attName,
                                        String value)
                                 throws IOException

      Throws:
        `IOException`

    - #### writeAttribute

          protected void writeAttribute(String namespace,
                                        String attName,
                                        String value)
                                 throws IOException,
                                        RDFHandlerException

      Throws:
        `IOException`
        `RDFHandlerException`

    - #### writeEndOfStartTag

          protected void writeEndOfStartTag()
                                     throws IOException

      Throws:
        `IOException`

    - #### writeEndOfEmptyTag

          protected void writeEndOfEmptyTag()
                                     throws IOException

      Throws:
        `IOException`

    - #### writeEndTag

          protected void writeEndTag(String namespace,
                                     String localName)
                              throws IOException

      Throws:
        `IOException`

    - #### writeCharacterData

          protected void writeCharacterData(String chars)
                                     throws IOException

      Throws:
        `IOException`

    - #### writeIndent

          protected void writeIndent()
                              throws IOException

      Throws:
        `IOException`

    - #### writeNewLine

          protected void writeNewLine()
                               throws IOException

      Throws:
        `IOException`

    - #### getValidNodeId

          protected String getValidNodeId(BNode bNode)
                                   throws IOException

      Create a syntactically valid node id from the supplied blank node id. This is necessary because RDF/XML syntax enforces the blank node id is a valid NCName.
      Parameters:
        `bNode` - a blank node identifier
      Returns:
        the blank node identifier converted to a form that is a valid NCName.
      Throws:
        `IOException`
      See Also:
        section 7.2.34 of the RDF/XML Syntax specification

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.